Home
last modified time | relevance | path

Searched refs:at (Results 1 – 25 of 1313) sorted by relevance

12345678910>>...53

/dragonfly/sys/dev/misc/syscons/
H A Dscvtb.c146 sc_vtb_getc(sc_vtb_t *vtb, int at) in sc_vtb_getc() argument
155 sc_vtb_geta(sc_vtb_t *vtb, int at) in sc_vtb_geta() argument
169 *(vtb->vtb_buffer + at) = a | c; in sc_vtb_putc()
247 if (at + count > vtb->vtb_size) in sc_vtb_erase()
248 count = vtb->vtb_size - at; in sc_vtb_erase()
278 if (at + count > vtb->vtb_size) in sc_vtb_delete()
279 count = vtb->vtb_size - at; in sc_vtb_delete()
284 vtb->vtb_buffer + at, in sc_vtb_delete()
288 vtb->vtb_buffer + at, in sc_vtb_delete()
294 vtb->vtb_size - at - len); in sc_vtb_delete()
[all …]
H A Dscvgarndr.c268 sc_vtb_putc(&scp->scr, at, c, a); in draw_txtcharcursor()
287 at%scp->xsize, in vga_txtcursor()
288 at/scp->xsize); in vga_txtcursor()
299 draw_txtcharcursor(scp, at, in vga_txtcursor()
310 sc_vtb_putc(&scp->scr, at, in vga_txtcursor()
792 a = sc_vtb_geta(&scp->vtb, at); in draw_pxlcursor_direct()
844 a = sc_vtb_geta(&scp->vtb, at); in draw_pxlcursor_packed()
897 a = sc_vtb_geta(&scp->vtb, at); in draw_pxlcursor_planar()
940 draw_pxlcursor_direct(scp, at, in vga_pxlcursor_direct()
968 draw_pxlcursor_packed(scp, at, in vga_pxlcursor_packed()
[all …]
/dragonfly/contrib/ldns/ldns/
H A Dbuffer.h259 assert(at <= buffer->_limit); in ldns_buffer_at()
260 return buffer->_data + at; in ldns_buffer_at()
309 assert(at <= buffer->_limit); in ldns_buffer_remaining_at()
310 return buffer->_limit - at; in ldns_buffer_remaining_at()
363 memcpy(buffer->_data + at, data, count); in ldns_buffer_write_at()
428 buffer->_data[at] = data; in ldns_buffer_write_u8_at()
468 ldns_write_uint16(buffer->_data + at, data); in ldns_buffer_write_u16_at()
493 ldns_write_uint32(buffer->_data + at, data); in ldns_buffer_write_u32_at()
519 memcpy(data, buffer->_data + at, count); in ldns_buffer_read_at()
545 return buffer->_data[at]; in ldns_buffer_read_u8_at()
[all …]
/dragonfly/usr.sbin/nscd/
H A Dagent.c75 assert(at != NULL); in register_agent()
81 memcpy(new_agents, at->agents, at->agents_num * sizeof(struct agent *)); in register_agent()
86 free(at->agents); in register_agent()
87 at->agents = new_agents; in register_agent()
88 at->agents_num = new_agents_num; in register_agent()
102 res = bsearch(&model_p, at->agents, at->agents_num, in find_agent()
115 assert(at != NULL); in destroy_agent_table()
117 free(at->agents[i]->name); in destroy_agent_table()
118 free(at->agents[i]); in destroy_agent_table()
121 free(at->agents); in destroy_agent_table()
[all …]
/dragonfly/sys/dev/disk/sili/
H A Dsili_pm.c62 struct ata_port *at; in sili_pm_port_probe() local
99 at = &ap->ap_ata[i]; in sili_pm_port_probe()
261 struct ata_port *at; in sili_pm_hardreset() local
316 ATANAME(ap ,at)); in sili_pm_hardreset()
434 ccb->ccb_xa.at = at; in sili_pm_softreset()
453 ATANAME(ap, at)); in sili_pm_softreset()
476 ATANAME(ap ,at)); in sili_pm_softreset()
490 at->at_type = sili_port_signature(ap, at, sig); in sili_pm_softreset()
492 if (sili_port_signature(ap, at, sig) != at->at_type) { in sili_pm_softreset()
510 ATANAME(ap, at)); in sili_pm_softreset()
[all …]
H A Dsili_cam.c229 struct ata_port *at; in sili_cam_probe() local
272 at = atx; in sili_cam_probe()
296 switch(at->at_type) { in sili_cam_probe()
365 at->at_ncqdepth = (le16toh(at->at_identify.qdepth) & 0x1F) + 1; in sili_cam_probe()
481 switch(at->at_type) { in sili_cam_probe()
511 struct ata_port *at; in sili_cam_probe_disk() local
623 struct ata_port *at; in sili_set_xfer() local
791 at = ap->ap_ata; in sili_xpt_action()
827 atx = at; in sili_xpt_action()
1008 struct ata_port *at; in sili_xpt_scsi_disk_io() local
[all …]
H A Dsili.c120 struct ata_port *at; in sili_port_alloc() local
149 at->at_target = i; in sili_port_alloc()
152 ksnprintf(at->at_name, sizeof(at->at_name), in sili_port_alloc()
329 struct ata_port *at; in sili_port_reinit() local
739 if (at) in sili_port_reset()
744 if (at) in sili_port_reset()
2333 ccb->ccb_xa.at = at; in sili_ata_get_xfer()
2363 ccb->ccb_xa.at, in sili_ata_cmd()
2364 ccb->ccb_xa.at ? ccb->ccb_xa.at->at_target : -1); in sili_ata_cmd()
2459 at = ccb->ccb_xa.at; in sili_core_timeout()
[all …]
/dragonfly/sys/dev/disk/ahci/
H A Dahci_cam.c240 struct ata_port *at; in ahci_cam_probe() local
283 at = atx; in ahci_cam_probe()
307 switch(at->at_type) { in ahci_cam_probe()
336 if (at->at_type == ATA_PORT_T_DISK && at->at_identify.nomrota_rate == 1) in ahci_cam_probe()
381 at->at_ncqdepth = (le16toh(at->at_identify.qdepth) & 0x1F) + 1; in ahci_cam_probe()
487 switch(at->at_type) { in ahci_cam_probe()
517 struct ata_port *at; in ahci_cam_probe_disk() local
629 struct ata_port *at; in ahci_set_xfer() local
832 atx = at; in ahci_xpt_action()
840 at = ap->ap_ata[0]; in ahci_xpt_action()
[all …]
H A Dahci_pm.c62 struct ata_port *at; in ahci_pm_port_probe() local
534 struct ata_port *at; in ahci_pm_hardreset() local
590 ATANAME(ap ,at)); in ahci_pm_hardreset()
705 ATANAME(ap ,at)); in ahci_pm_softreset()
722 ccb->ccb_xa.at = at; in ahci_pm_softreset()
754 ATANAME(ap, at), in ahci_pm_softreset()
807 ATANAME(ap, at), in ahci_pm_softreset()
827 ATANAME(ap ,at)); in ahci_pm_softreset()
848 at->at_type = ahci_port_signature_detect(ap, at); in ahci_pm_softreset()
850 if (ahci_port_signature_detect(ap, at) != at->at_type) { in ahci_pm_softreset()
[all …]
H A Dahci.c244 struct ata_port *at; in ahci_port_alloc() local
283 ap->ap_ata[i] = at; in ahci_port_alloc()
285 at->at_target = i; in ahci_port_alloc()
288 ksnprintf(at->at_name, sizeof(at->at_name), in ahci_port_alloc()
716 struct ata_port *at;
1150 if (at)
1155 if (at)
3626 ccb->ccb_xa.at = at;
3761 at = ccb->ccb_xa.at;
3770 ATANAME(ap, at),
[all …]
/dragonfly/usr.bin/at/
H A DMakefile5 PROG= at
6 SRCS= at.c panic.c parsetime.c perm.c
7 LINKS= ${BINDIR}/at ${BINDIR}/atq \
8 ${BINDIR}/at ${BINDIR}/atrm \
9 ${BINDIR}/at ${BINDIR}/batch
10 MLINKS= at.1 batch.1 \
11 at.1 atq.1 \
12 at.1 atrm.1
16 CLEANFILES+= at.1
18 at.1: at.man
/dragonfly/crypto/libressl/crypto/asn1/
H A Dasn1_types.c246 const struct asn1_type *at; in asn1_must_be_constructed() local
250 if ((at = asn1_type_by_tag(tag)) != NULL) in asn1_must_be_constructed()
259 const struct asn1_type *at; in asn1_must_be_primitive() local
263 if ((at = asn1_type_by_tag(tag)) != NULL) in asn1_must_be_primitive()
272 const struct asn1_type *at; in asn1_tag2charwidth() local
274 if ((at = asn1_type_by_tag(tag)) != NULL) in asn1_tag2charwidth()
275 return at->char_width; in asn1_tag2charwidth()
283 const struct asn1_type *at; in ASN1_tag2bit() local
286 return (unsigned long)at->bit_value; in ASN1_tag2bit()
294 const struct asn1_type *at; in ASN1_tag2str() local
[all …]
H A Dtasn_dec.c684 at = &it->templates[i]; in asn1_item_d2i_choice()
694 errat = at; in asn1_item_d2i_choice()
806 at = &it->templates[i]; in asn1_item_d2i_sequence()
865 at = &it->templates[i]; in asn1_item_d2i_sequence()
1003 const ASN1_TEMPLATE *at) in asn1_template_stack_of_free() argument
1038 tag_number = at->tag; in asn1_template_stack_of_d2i()
1138 tag_number = at->tag; in asn1_template_noexp_d2i()
1155 ASN1_template_free(pval, at); in asn1_template_noexp_d2i()
1179 &constructed, at->tag, at->flags & ASN1_TFLG_TAG_CLASS, optional); in asn1_template_d2i()
1223 ASN1_template_free(pval, at); in asn1_template_d2i()
[all …]
/dragonfly/sys/dev/acpica/Osd/
H A DOsdSchedule.c101 struct acpi_task *at; in acpi_task_thread() local
105 at = (void *)lwkt_waitport(&curthread->td_msgport, 0); in acpi_task_thread()
106 func = at->at_function; in acpi_task_thread()
107 func(at->at_context); in acpi_task_thread()
108 lwkt_replymsg(&at->at_msg, 0); in acpi_task_thread()
122 struct acpi_task *at; in AcpiOsExecute() local
137 at = kmalloc(sizeof(*at), M_ACPITASK, M_INTWAIT | M_ZERO); in AcpiOsExecute()
138 lwkt_initmsg(&at->at_msg, &acpi_afree_rport, 0); in AcpiOsExecute()
139 at->at_function = Function; in AcpiOsExecute()
140 at->at_context = Context; in AcpiOsExecute()
[all …]
/dragonfly/contrib/file/magic/Magdir/
H A Dos40024 >&213 byte 0x44 \b, at least V5R4 to open
25 >&213 byte 0x43 \b, at least V5R3 to open
26 >&213 byte 0x42 \b, at least V5R2 to open
27 >&213 byte 0x41 \b, at least V5R1 to open
28 >&213 byte 0x40 \b, at least V4R5 to open
29 >&213 byte 0x3F \b, at least V4R4 to open
30 >&213 byte 0x3E \b, at least V4R3 to open
31 >&213 byte 0x3C \b, at least V4R2 to open
33 >&213 byte 0x3B \b, at least V4R1 to open
34 >&213 byte 0x3A \b, at least V3R7 to open
[all …]
/dragonfly/contrib/less/
H A Doutput.c101 static int at; in win_flush() local
159 at = 0; in win_flush()
164 at &= ~32; in win_flush()
199 at |= 32; in win_flush()
208 at &= 32; in win_flush()
226 at |= 1; in win_flush()
230 at |= 2; in win_flush()
234 at |= 4; in win_flush()
239 at |= 8; in win_flush()
242 at |= 16; in win_flush()
[all …]
/dragonfly/tools/regression/bin/sh/parameters/
H A Dpositional1.04 [ "$1" = a ] || echo "error at line $LINENO"
5 [ "${1}" = a ] || echo "error at line $LINENO"
6 [ "${1-foo}" = a ] || echo "error at line $LINENO"
7 [ "${1+foo}" = foo ] || echo "error at line $LINENO"
8 [ "$1+foo" = a+foo ] || echo "error at line $LINENO"
9 [ "$10" = a0 ] || echo "error at line $LINENO"
10 [ "$100" = a00 ] || echo "error at line $LINENO"
11 [ "${10}" = j ] || echo "error at line $LINENO"
12 [ "${10-foo}" = j ] || echo "error at line $LINENO"
13 [ "${100-foo}" = foo ] || echo "error at line $LINENO"
/dragonfly/tools/regression/bin/sh/builtins/
H A Dcase8.05 *) echo Failed at $LINENO ;;
9 [[:alpha:][:digit:]]) echo Failed at $LINENO ;;
11 *) echo Failed at $LINENO ;;
15 *[[:lower:]]*) echo Failed at $LINENO ;;
17 *) echo Failed at $LINENO ;;
21 [![:print:]]) echo Failed at $LINENO ;;
23 *) echo Failed at $LINENO ;;
28 [[:print:]]) echo Failed at $LINENO ;;
31 *) echo Failed at $LINENO ;;
H A Dcase5.020 echo wrong at $LINENO
26 *) echo wrong at $LINENO ;;
31 *) echo wrong at $LINENO ;;
36 *) echo wrong at $LINENO ;;
41 *) echo wrong at $LINENO ;;
46 *) echo wrong at $LINENO ;;
51 *) echo wrong at $LINENO ;;
56 *) echo wrong at $LINENO ;;
H A Dcase6.020 echo wrong at $LINENO
26 *) echo wrong at $LINENO ;;
31 *) echo wrong at $LINENO ;;
36 *) echo wrong at $LINENO ;;
41 *) echo wrong at $LINENO ;;
46 *) echo wrong at $LINENO ;;
51 *) echo wrong at $LINENO ;;
/dragonfly/tools/regression/bin/sh/expansion/
H A Dcmdsubst10.06 [ "$a1" = "$a2" ] || echo Error at line $LINENO
12 [ "$a1" = "$a2" ] || echo Error at line $LINENO
14 [ "$(command -V pwd)" = "$(command -V pwd; exit $?)" ] || echo Error at line $LINENO
18 [ "$v" = 1 ] || echo Error at line $LINENO
22 [ "$rotest" = 1 ] || echo Error at line $LINENO
27 *u*) echo Error at line $LINENO ;;
34 *u*) echo Error at line $LINENO ;;
41 *u*) echo Error at line $LINENO ;;
49 [ "$u1" = "$u2" ] || echo Error at line $LINENO
51 dummy=$(exit 3); [ $? -eq 3 ] || echo Error at line $LINENO
/dragonfly/usr.sbin/mfiutil/
H A Dmfi_patrol.c47 t = (now - at_now) + at; in adapter_time()
52 mfi_get_time(int fd, uint32_t *at) in mfi_get_time() argument
55 if (mfi_dcmd_command(fd, MFI_DCMD_TIME_SECS_GET, at, sizeof(*at), NULL, in mfi_get_time()
58 at = NULL; in mfi_get_time()
85 uint32_t at; in show_patrol() local
97 mfi_get_time(fd, &at); in show_patrol()
119 if (at != 0 && prop.next_exec) in show_patrol()
253 uint32_t at, next_exec, exec_freq; in patrol_config() local
313 mfi_get_time(fd, &at); in patrol_config()
314 if (at == 0) { in patrol_config()
[all …]
/dragonfly/usr.bin/evtranalyze/
H A Dxml.h77 xml_attribute_init(xml_attribute_t at, const char *name, const char *value) in xml_attribute_init() argument
79 at->name = name; in xml_attribute_init()
80 at->value = value; in xml_attribute_init()
85 xml_attribute_set_value(xml_attribute_t at, const char *value) in xml_attribute_set_value() argument
87 at->value = value; in xml_attribute_set_value()
92 xml_elem_set_attribute(xml_element_t el, xml_attribute_t at) in xml_elem_set_attribute() argument
94 STAILQ_INSERT_TAIL(&el->attributes, at, next); in xml_elem_set_attribute()
/dragonfly/usr.sbin/pw/
H A Dbitmap.c93 int at = 0; in bm_firstunset() local
102 return at; in bm_firstunset()
104 ++at; in bm_firstunset()
107 return at; in bm_firstunset()
114 int at = 0; in bm_lastset() local
124 ofs = at; in bm_lastset()
126 ++at; in bm_lastset()
/dragonfly/contrib/ncurses/ncurses/base/
H A Dlib_wattron.c49 wattr_on(WINDOW *win, attr_t at, void *opts GCC_UNUSED) in NCURSES_EXPORT()
51 T((T_CALLED("wattr_on(%p,%s)"), (void *) win, _traceattr(at))); in NCURSES_EXPORT()
58 if (at & A_COLOR) in NCURSES_EXPORT()
59 win->_color = PairNumber(at); in NCURSES_EXPORT()
61 toggle_attr_on(WINDOW_ATTRS(win), at); in NCURSES_EXPORT()

12345678910>>...53